<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRxSatMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRxSatMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>RX saturation monitoring configuration.  
 <a href="structrl_rx_sat_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a4f4dbb224eac0a6533d536ea20efc894"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4f4dbb224eac0a6533d536ea20efc894"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_sat_mon_conf__t.html#a4f4dbb224eac0a6533d536ea20efc894">profileIndx</a></td></tr>
<tr class="memdesc:a4f4dbb224eac0a6533d536ea20efc894"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the profile Index for which this configuration applies. <br /></td></tr>
<tr class="separator:a4f4dbb224eac0a6533d536ea20efc894"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fbec096c7956197d361d961011c44f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4fbec096c7956197d361d961011c44f8"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_sat_mon_conf__t.html#a4fbec096c7956197d361d961011c44f8">satMonSel</a></td></tr>
<tr class="memdesc:a4fbec096c7956197d361d961011c44f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">01 =&gt; Enable only the ADC saturation monitor <br />
 11 =&gt; Enable both the ADC and IFA1 saturation monitors <br />
<br /></td></tr>
<tr class="separator:a4fbec096c7956197d361d961011c44f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae209f2c95c524e8d91913ca337973113"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae209f2c95c524e8d91913ca337973113"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_sat_mon_conf__t.html#ae209f2c95c524e8d91913ca337973113">reserved0</a></td></tr>
<tr class="memdesc:ae209f2c95c524e8d91913ca337973113"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ae209f2c95c524e8d91913ca337973113"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad07d504620dd5cf6299c86f864b68859"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad07d504620dd5cf6299c86f864b68859"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_sat_mon_conf__t.html#ad07d504620dd5cf6299c86f864b68859">primarySliceDuration</a></td></tr>
<tr class="memdesc:ad07d504620dd5cf6299c86f864b68859"><td class="mdescLeft">&#160;</td><td class="mdescRight">It specifies the duration of each (primary) time slice. <br />
 1 LSB = 0.16us. <br />
 Valid range: 4 to floor(ADC sampling time us/0.16 us) <br />
 NOTES: The minimum allowed duration of each (primary) time slice is <br />
 4 LSBs = 0.64us. Also, the maximum number of (primary) time slices that will <br />
 be monitored in a chirp is 64 so the recommendation is to set this value to <br />
 correspond to (ADC sampling time / 64). If the slice is smaller, such that the <br />
 ADC sampling time is longer than 64 primary slices,some regions of the valid <br />
 duration of a chirp may go un-monitored. <br />
. <br /></td></tr>
<tr class="separator:ad07d504620dd5cf6299c86f864b68859"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a724d31b40813b2d3212edfed739d9963"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a724d31b40813b2d3212edfed739d9963"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_sat_mon_conf__t.html#a724d31b40813b2d3212edfed739d9963">numSlices</a></td></tr>
<tr class="memdesc:a724d31b40813b2d3212edfed739d9963"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of (primary + secondary) time slices to monitor. <br />
 Valid range: 1 to 127 <br />
 NOTE: Together with SAT_MON_PRIMARY_TIME_SLICE_DURATION, this determines the <br />
 full duration of the ADC valid time that gets covered by the monitor <br />
. <br /></td></tr>
<tr class="separator:a724d31b40813b2d3212edfed739d9963"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ac0d967ae401f3e6843aa5b7a45916c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ac0d967ae401f3e6843aa5b7a45916c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_sat_mon_conf__t.html#a8ac0d967ae401f3e6843aa5b7a45916c">rxChannelMask</a></td></tr>
<tr class="memdesc:a8ac0d967ae401f3e6843aa5b7a45916c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field is applicable only for SAT_MON_MODE = 0 Masks RX channels used for <br />
 monitoring. In every slice, saturation counts for all unmasked channels are <br />
 added together, and the total is capped to 127. The 8 bits are mapped <br />
 (MSB-&gt;LSB) to: <br />
 [RX3Q, RX2Q, RX1Q, RX0Q, RX3I, RX2I, RX1I, RX0I] <br />
 00000000 =&gt; All channels unmasked <br />
 11111111 =&gt; All channels masked. <br />
. <br /></td></tr>
<tr class="separator:a8ac0d967ae401f3e6843aa5b7a45916c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dbc13979b2bac5d6ff598fd6539a9c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0dbc13979b2bac5d6ff598fd6539a9c9"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_sat_mon_conf__t.html#a0dbc13979b2bac5d6ff598fd6539a9c9">reserved1</a></td></tr>
<tr class="memdesc:a0dbc13979b2bac5d6ff598fd6539a9c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a0dbc13979b2bac5d6ff598fd6539a9c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bb820f3143e42849c8b78254cc564f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1bb820f3143e42849c8b78254cc564f2"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_sat_mon_conf__t.html#a1bb820f3143e42849c8b78254cc564f2">reserved2</a></td></tr>
<tr class="memdesc:a1bb820f3143e42849c8b78254cc564f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a1bb820f3143e42849c8b78254cc564f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8943e8becd3b58890b076d860ebf058"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8943e8becd3b58890b076d860ebf058"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_sat_mon_conf__t.html#af8943e8becd3b58890b076d860ebf058">reserved3</a></td></tr>
<tr class="memdesc:af8943e8becd3b58890b076d860ebf058"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:af8943e8becd3b58890b076d860ebf058"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac381f1ff620b117727398164e7852430"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac381f1ff620b117727398164e7852430"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rx_sat_mon_conf__t.html#ac381f1ff620b117727398164e7852430">reserved4</a></td></tr>
<tr class="memdesc:ac381f1ff620b117727398164e7852430"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ac381f1ff620b117727398164e7852430"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>RX saturation monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
